%define lib_major  4
%define api        1.0
%define libname    %mklibname dee %{api} %{lib_major}
%define gi_name    %mklibname dee-gir %{api}
%define libnamedev %mklibname dee -d

Name:          dee
Version:       1.2.7
Release:       %mkrel 2
Summary:       Model to synchronize mutiple instances over DBus
License:       LGPLv2+
Group:         System/Libraries
URL:           https://launchpad.net/dee
Source0:       http://launchpad.net/dee/1.0/%{version}/+download/dee-%{version}.tar.gz
# from fedora: fix build with gcc 7
Patch1:        dee-1.2.7-gcc6-fixes.patch
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gthread-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-2.0) >= 2.26
BuildRequires: pkgconfig(gio-2.0) >= 2.26
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(python3)
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: icu-devel
Requires:      python3-gobject3

%description
Libdee is a library that uses DBus to provide objects allowing you to create
Model-View-Controller type programs across DBus. It also consists of utility
objects which extend DBus allowing for peer-to-peer discoverability of known
objects without needing a central registrar.

%package -n %{libname}
Summary:       Model to synchronize mutiple instances over DBus - Shared lib
Group:         System/Libraries

%description -n %{libname}
Libdee is a library that uses DBus to provide objects allowing you to create
Model-View-Controller type programs across DBus. It also consists of utility
objects which extend DBus allowing for peer-to-peer discoverability of known
objects without needing a central registrar.


%package -n %{libnamedev}
Summary:       Libraries and include files for developing with libdee
Group:         Development/C
Requires:      %{libname} = %{version}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains files that are needed to build applications.

%prep
%setup -q
%apply_patches

sed -e 's:-Werror::g' -i configure.ac

%build
autoreconf -fi
%configure2_5x --disable-static PYTHON=%{__python3}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/dee-tool
%{python3_sitearch}/gi/overrides/Dee.*
%{python3_sitearch}/gi/overrides/__pycache__/Dee.*

%files -n %{libname}
%{_libdir}/libdee-%{api}.so.%{lib_major}*
%{_libdir}/girepository-1.0/Dee-%{api}.typelib

%files -n %{libnamedev}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/dee-*
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*


%changelog
* Sat Oct 05 2019 tex - 1.2.7-2pclos2019
- rebuild for new icu 65.1
